telemetry traces
curl --request GET \
--url https://engine.example.com/api/v1/telemetry/tracesimport requests
url = "https://engine.example.com/api/v1/telemetry/traces"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/telemetry/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/telemetry/traces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/telemetry/traces"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/telemetry/traces")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/telemetry/traces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"records": [
{
"duration_nanos": 1,
"operation": "<string>",
"parent_span_id": "<string>",
"span_id": "<string>",
"started_unix_millis": 1,
"started_unix_nanos": 1,
"status": "<string>",
"trace_id": "<string>"
}
],
"truncated": true
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Telemetry traces
telemetry traces. GET /api/v1/telemetry/traces. Read bounded spans from the latest 15 minutes. Trace IDs accept hexadecimal or UUID form.
telemetry traces
curl --request GET \
--url https://engine.example.com/api/v1/telemetry/tracesimport requests
url = "https://engine.example.com/api/v1/telemetry/traces"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/telemetry/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/telemetry/traces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/telemetry/traces"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/telemetry/traces")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/telemetry/traces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"records": [
{
"duration_nanos": 1,
"operation": "<string>",
"parent_span_id": "<string>",
"span_id": "<string>",
"started_unix_millis": 1,
"started_unix_nanos": 1,
"status": "<string>",
"trace_id": "<string>"
}
],
"truncated": true
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026